{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}

    <div class="ariane">
        <a href="{{ path('sondage_index') }}">Accueil </a>
        <p> / </p>
        <p> Connexion</p>
    </div>

    <form method="post">
        {% if error %}
            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        {% if app.user %}
            <div class="mb-3">
                You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% endif %}

        <h1 id="home_header">Connectez-vous</h1>

        <div id="register_box">
            <div id="register">

                <div class="registration_block">
                    <label for="inputEmail">Email</label>
                    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required autofocus>
                </div>
                <div class="registration_block">
                    <label for="inputPassword">Password</label>
                    <input type="password" name="password" id="inputPassword" class="form-control" required>
                </div>

                <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

                <button class="btn" type="submit">Se connecter</button>
            </div>
        </div>
    </form>
{% endblock %}
